import React from "react";
import { Form } from "react-bootstrap";

const Checkbox = ({
  type,
  data,
  onCheckBoxChange,
  defaultChecked,
}) => {
  const handleCheckboxChange = (checkedItem) => {
    onCheckBoxChange(checkedItem);
  };
  return (
    <>
      {data?.filter_option?.map((item, idx) => (
        <div key={idx} className="mb-3">
          <Form.Check
            type={type}
            id={item.name}
            label={item.name}
            onChange={() => handleCheckboxChange(item)}
            checked={defaultChecked?.toUpperCase() === item.name?.toUpperCase()}
            value={item.id}
            key={item.id}
          />
        </div>
      ))}
    </>
  );
};

export default Checkbox;
