import React, { useState } from "react";
import "./room-footer.scss";
import { convertDate } from "../../../../utils/helper-functions";

const RoomFooter = ({ info, onSelect }) => {
  const [isDelete, setIsDelete] = useState(false);
  return (
    <div className="datediv">
      {isDelete ? (
        <div className="saved-session-close">
          <button onClick={() => {onSelect(); setIsDelete(!isDelete)}}>
            <img
              className="recolour-on_navigate"
              src="https://visualization.graberblinds.com/assets/graphics/2021_remove_window.svg?1.6.39.001"
              alt=""
            />
           <span>Delete</span> 
          </button>
        </div>
      ) : (
        <div>
          <span>{convertDate(info)}</span>
        </div>
      )}
      {isDelete ? (
        <div className="saved-session-cancel">
          <button onClick={() => setIsDelete(!isDelete)}>
            <img
              className="recolour-on_navigate"
              src="https://visualization.graberblinds.com/assets/graphics/undo.svg?1.6.39.001"
              alt=""
            />
            <span>Cancel</span> 
          </button>
        </div>
      ) : (
        <div className="saved-session-trash">
          <img
            src="https://visualization.graberblinds.com/assets/graphics/trashcan.svg?1.6.39.001"
            className="recolour-icons"
            alt=""
            onClick={() => setIsDelete(!isDelete)}
          />
        </div>
      )}
    </div>
  );
};

export default RoomFooter;
